HTML Parsing & Scamper

Ramiro Diaz Trepat ramiro at novamens.com
Tue Jun 1 14:22:52 UTC 2004


Avi Bryant wrote:

>
> On May 31, 2004, at 11:04 AM, Ramiro Diaz Trepat wrote:
>
>>  Hello there,
>>  I have a copule of simple questions.
>>  I am using the 3.7 beta image.
>>
>>     1.      I need to parse an html page.  I've seen some examples on 
>> the net using the method "HTMLParser parse:".  Hence, Iinstalled the 
>> package HTML-Parser on SqueakMap.  But I could not get it to work, 
>> particullarly I  believe that the method parse is deprecated. I 
>> tryied using the method "parseDocumentFrom:" but I could  not get it 
>> to work either.  Can anyone send me a clue or a quick example of 
>> working code that parses a simple HTML page?
>>     2.      I've also tryied installing Scamper, but was unable to us 
>> it as well.  Curiosely I get the error message "doesNotUnderstand: 
>> #parse". 
>>
>>  Is there a newer related package I should install to get these 
>> frameworks working ?
>
>
> I believe the package you want is actually Network-HTML.  Then 
> "HtmlParser parse: aStream" should work.
>
> Avi
>
Thank you very much Avi, I am sure that is the problem.
But now when I try to install the package Network-HTML from SqueakMap I get
the following error:

"Error occured during install:
can't find EOCD position"

I really don't have a clue about what's going on, or particullarly what 
EOCD means.

By the way, what is the proper way to remove the packages installed with 
SqueakMap?

-- 
Ramiro Díaz Trepat
http://novamens.com
http://neosmt.com




More information about the Squeak-dev mailing list